summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2013-12-14 03:53:09 +0100
committer Erik Hanson2013-12-14 17:53:06 +0100
commitd9759a11f4ba4278ed86def466dfc199a5207b95 (patch)
tree0d424888f8a0cdb9c334f66a3c1fa4676614dde4 /academic
parentb7e03e6316cecca89c5f0444ade92faeb5320ede (diff)
downloadslackbuilds-d9759a11f4ba4278ed86def466dfc199a5207b95.tar.gz
academic/tophat: Added (Splice junction mapper for RNA-Seq reads).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/tophat/README10
-rw-r--r--academic/tophat/References13
-rw-r--r--academic/tophat/slack-desc19
-rw-r--r--academic/tophat/tophat.SlackBuild100
-rw-r--r--academic/tophat/tophat.info10
5 files changed, 152 insertions, 0 deletions
diff --git a/academic/tophat/README b/academic/tophat/README
new file mode 100644
index 0000000000..79c93851ff
--- /dev/null
+++ b/academic/tophat/README
@@ -0,0 +1,10 @@
+TopHat is a fast splice junction mapper for RNA-Seq reads. It aligns
+RNA-Seq reads to mammalian-sized genomes using the ultra high-throughput
+short read aligner Bowtie, and then analyzes the mapping results to
+identify splice junctions between exons.
+
+TopHat is a collaborative effort between the Institute of Genetic
+Medicine at Johns Hopkins University, the Departments of Mathematics
+and Molecular and Cell Biology at the University of California,
+Berkeley and the Department of Stem Cell and Regenerative Biology at
+Harvard University.
diff --git a/academic/tophat/References b/academic/tophat/References
new file mode 100644
index 0000000000..0e7deda7d1
--- /dev/null
+++ b/academic/tophat/References
@@ -0,0 +1,13 @@
+Trapnell C, Pachter L, Salzberg SL. TopHat: discovering splice
+junctions with RNA-Seq. Bioinformatics doi:10.1093/bioinformatics/btp120
+
+Langmead B, Trapnell C, Pop M, Salzberg SL. Ultrafast and memory-
+efficient alignment of short DNA sequences to the human genome. Genome
+Biology 10:R25.
+
+Kim D and Salzberg SL. TopHat-Fusion: an algorithm for discovery of
+novel fusion transcripts. Genome Biology 2011, 12:R72
+
+Kim D, Pertea G, Trapnell C, Pimentel H, Kelley R, Salzberg SL.
+TopHat2: accurate alignment of transcriptomes in the presence of
+insertions, deletions and gene fusions. . Genome Biology 2011, 14:R36
diff --git a/academic/tophat/slack-desc b/academic/tophat/slack-desc
new file mode 100644
index 0000000000..77d54ce3ac
--- /dev/null
+++ b/academic/tophat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tophat: tophat (Splice junction mapper for RNA-Seq reads)
+tophat:
+tophat: TopHat is a fast splice junction mapper for RNA-Seq reads. It
+tophat: aligns RNA-Seq reads to mammalian-sized genomes using the ultra
+tophat: high-throughput short read aligner Bowtie, and then analyzes the
+tophat: mapping results to identify splice junctions between exons.
+tophat:
+tophat: Home: http://tophat.cbcb.umd.edu/
+tophat: Reference: /usr/doc/tophat-2.0.10/References
+tophat:
+tophat:
diff --git a/academic/tophat/tophat.SlackBuild b/academic/tophat/tophat.SlackBuild
new file mode 100644
index 0000000000..fa0a20b54f
--- /dev/null
+++ b/academic/tophat/tophat.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for tophat
+
+# Copyright 2013 Petar Petrov, petar.petrov@student.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tophat
+VERSION=${VERSION:-2.0.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --with-boost-libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL LICENSE NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/tophat/tophat.info b/academic/tophat/tophat.info
new file mode 100644
index 0000000000..7b2b55da95
--- /dev/null
+++ b/academic/tophat/tophat.info
@@ -0,0 +1,10 @@
+PRGNAM="tophat"
+VERSION="2.0.10"
+HOMEPAGE="http://tophat.cbcb.umd.edu/"
+DOWNLOAD="http://tophat.cbcb.umd.edu/downloads/tophat-2.0.10.tar.gz"
+MD5SUM="dd99465d44f9e5255d6480b8d5ab80ca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="bowtie2 samtools"
+MAINTAINER="Petar Petrov"
+EMAIL="petar.petrov@student.oulu.fi"